Skip to Content

Run an owner-only test of a Shopify check-in

Takes no recipient. Samva resolves the acting owner's signed-in verified email or confirmed WhatsApp challenge.

POST
/v1/integrations/catalog/recipes/post-delivery-check-in/owner-test

Takes no recipient. Samva resolves the acting owner's signed-in verified email or confirmed WhatsApp challenge. Normal send admission, billing, suppression and consent apply. Reuse the same request ID to reconcile an uncertain response.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
templateId*TemplateId
Match^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$
publicationId*TemplatePublicationId
Match^tpub_[0-9a-hjkmnp-tv-z]{16,24}$
fixture?string
Length1 <= length <= 100
templateData?
channel*"email"
Value in"email"
requestId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
mailboxEndpointId*MailboxEndpointId
Match^mbxep_[0-9a-hjkmnp-tv-z]{16,24}$
topicId?TopicId
Match^tpc_[0-9a-hjkmnp-tv-z]{16,24}$
senderId?EmailSenderId
Match^sender_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

RecipeTestResponse

application/json
  1. response
messageId*MessageId
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipeTest({
  "templateId": "example",
  "publicationId": "example",
  "channel": "email",
  "requestId": "example",
  "mailboxEndpointId": "example"
});
Example Response
{
  "messageId": "string"
}

Related documentation